## wicd 1.5.6

=== debian/Makefile ===
DISTRIB=lenny
DISTRIB=unstable
DEBUG=--debug
DEBUG=
MIRROR=--mirror http://athlonfreesos.bayle.eu/debian
FULLUPLOAD=
FULLUPLOAD=--debbuildopts "-sa" 
LOCALREPO=/var/www/debian-eeepc
SRCDIR=../../trunk
WICDVERS=$(shell grep 'version =' $(SRCDIR)/wicd/wicd-daemon.py | cut -d\' -f2)
WICDVERS=1.5.2
DEBMINOR=1$(DISTRIB)0
DEBMINOR=1

wicdbuild:
	make PACKAGE=wicd PKGVERS=$(WICDVERS) DEBVERS=$(WICDVERS)-$(DEBMINOR) DISTRIB=$(DISTRIB) pkgbuild

lintian:
	make PACKAGE=wicd PKGVERS=$(WICDVERS) DEBVERS=$(WICDVERS)-$(DEBMINOR) DISTRIB=$(DISTRIB) _lintian_

deploy:
	make PACKAGE=wicd PKGVERS=$(WICDVERS) DEBVERS=$(WICDVERS)-$(DEBMINOR) DISTRIB=$(DISTRIB) _deploy_

pkgbuild: ../pbuilder/base-$(DISTRIB).tgz ../build-result $(PACKAGE)-$(PKGVERS)
	cd $(PACKAGE)-$(PKGVERS) ; cp debian/changelog debian/changelog.sov
	cd $(PACKAGE)-$(PKGVERS) ; dch -v $(DEBVERS) -D UNRELEASED "Debian $(DISTRIB) build" 
	perl -pi -e "s/UNRELEASED/$(DISTRIB)/" $(PACKAGE)-$(PKGVERS)/debian/changelog
	cd $(PACKAGE)-$(PKGVERS) ; pdebuild --buildresult $(CURDIR) $(FULLUPLOAD) -- $(DEBUG) --distribution $(DISTRIB) $(MIRROR) --basetgz $(CURDIR)/../pbuilder/base-$(DISTRIB).tgz 
	mv $(PACKAGE)-$(PKGVERS)/debian/changelog.sov $(PACKAGE)-$(PKGVERS)/debian/changelog

_lintian_:
	lintian $(PACKAGE)_$(DEBVERS)_i386.changes

_deploy_:
	debsign -m$$DEBEMAIL $(PACKAGE)_$(DEBVERS)_i386.changes
	reprepro -Vb $(LOCALREPO) include $(DISTRIB) $(PACKAGE)_$(DEBVERS)_i386.changes

../pbuilder/base-$(DISTRIB).tgz: ../pbuilder 
	sudo /usr/sbin/pbuilder create $(DEBUG) --distribution $(DISTRIB) $(MIRROR) --basetgz $(CURDIR)/../pbuilder/base-$(DISTRIB).tgz
	@echo "Ready for $(DISTRIB)"

../build-result:
	mkdir ../build-result

../pbuilder:
	mkdir ../pbuilder

$(PACKAGE)-$(PKGVERS):
	cp -r $(SRCDIR) $(PACKAGE)-$(PKGVERS)
	find $(PACKAGE)-$(PKGVERS) -type d -name ".svn" | xargs rm -rf 
	tar cvzf $(PACKAGE)_$(PKGVERS).orig.tar.gz $(PACKAGE)-$(PKGVERS)
	mkdir $(PACKAGE)-$(PKGVERS)/debian
	cp changelog clean_out.py compat control copyright Makefile postinst postrm rules $(PACKAGE)-$(PKGVERS)/debian

clean:
	rm -f *.build *.deb *.upload

=== debian/changelog ===
wicd (1.5.6) sid lenny dapper edgy feisty gutsy hardy intrepid; urgency=low

  * New release. 

 -- Adam Blackburn <compwiz18@gmail.com>  Thu, 04 Dec 2008 18:03:38 +0800

wicd (1.5.5) sid lenny dapper edgy feisty gutsy hardy intrepid; urgency=low

  * New release.

 -- Adam Blackburn <compwiz18@gmail.com>  Mon, 01 Dec 2008 18:58:15 +0800

wicd (1.5.4) sid lenny dapper edgy feisty gutsy hardy intrepid; urgency=low

  * New release.

 -- Adam Blackburn <compwiz18@gmail.com>  Sun, 26 Oct 2008 15:04:41 +0800

wicd (1.5.3) sid lenny dapper edgy feisty gutsy hardy intrepid; urgency=low

  * New release.

 -- Adam Blackburn <compwiz18@gmail.com>  Sun, 28 Sep 2008 18:11:38 +0800

wicd (1.5.2) sid lenny dapper edgy feisty gutsy hardy intrepid; urgency=low

  * New release.

 -- Adam Blackburn <compwiz18@gmail.com>  Sat, 13 Sep 2008 17:21:55 +0800

wicd (1.5.1) sid lenny dapper edgy feisty gutsy hardy intrepid; urgency=low

  * New release.

 -- Adam Blackburn <compwiz18@gmail.com>  Sun, 03 Aug 2008 22:08:34 -0500

wicd (1.5.0) sid lenny dapper edgy feisty gutsy hardy intrepid; urgency=low

  * Initial release.

 -- Adam Blackburn <compwiz18@gmail.com>  Fri, 01 Aug 2008 22:09:18 -0500

=== debian/control ===
Source: wicd
Section: net
Priority: extra
Maintainer: Adam Blackburn <compwiz18@gmail.com>
Uploaders: Christian Bayle <bayle@debian.org>
Build-Depends: debhelper (>= 5.0.51), python
Standards-Version: 3.8.0

Package: wicd
Architecture: all
Depends: python, python-gtk2, python-dbus | python2.4-dbus, wpasupplicant, python-glade2, wireless-tools
Conflicts: network-manager, wifi-radar, gtkwifi
Description: wired and wireless network manager
 Wicd supports wired and wireless networks, and capable of creating and 
 tracking profiles for both.  It has a template-based wireless encryption
 system, which allows the user to easily add encryption methods used.
 It ships with some common encryption types, such as WPA 1 and 2 and WEP.
 Wicd will automatically connect at startup to any preferred network within
 range.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

	# uncomment the next line if you want
	# translations to be automatically downloaded 
	# at configure time
	# python setup.py get_translations

	python setup.py configure --no-install-init --no-install-man # --no-install-license --no-install-install

	cp -v init/debian/wicd debian/wicd.init
	# cp -v man/wicd.8 debian/wicd.8


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.

	python setup.py build
	# rm -f $(CURDIR)/**/*.pyc

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	# Remove the build directory
	rm -rf $(CURDIR)/build/
	# Remove the downloaded translations
	# Disabled, because Wicd ships with
	# translations by default
	# rm -rf $(CURDIR)/translations/*
	# Remove the last builds
	rm -rf $(CURDIR)/debian/wicd

	# Clean out all the generated files
	python $(CURDIR)/debian/clean_out.py

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/wicd.
	# $(MAKE) DESTDIR=$(CURDIR)/debian/wicd install
	
	python setup.py install --root $(CURDIR)/debian/wicd --no-compile
	rm -f   $(CURDIR)/debian/wicd/usr/share/doc/wicd/INSTALL \
		$(CURDIR)/debian/wicd/usr/share/doc/wicd/LICENSE


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
#binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_pycentral
	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman man/wicd.8 man/wicd-manager-settings.conf.5 man/wicd-wired-settings.conf.5 man/wicd-wireless-settings.conf.5
	dh_icons
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## wicd 1.7.0+ds1

=== depends/python-wpactrl/Makefile ===
PYTHON ?= python
SETUP  := setup.py

build:
	$(PYTHON) $(SETUP) $@

install:
ifdef DESTDIR
	$(PYTHON) $(SETUP) $@ --root=$(DESTDIR)
else
	$(PYTHON) $(SETUP) $@
endif

clean:
	$(PYTHON) $(SETUP) $@
	rm -rf build

.PHONY: build install clean

=== debian/changelog ===
wicd (1.7.0+ds1-9) unstable; urgency=high

  * Fix postinst: it breaks dh_python2's layout

 -- David Paleino <dapal@debian.org>  Sat, 22 Oct 2011 11:25:07 +0200

wicd (1.7.0+ds1-8) unstable; urgency=low

  * Really fix debconf when non-existing users are involved
    (Closes: #634051)
  * Switch package to dh_python2 from dh_pysupport

 -- David Paleino <dapal@debian.org>  Fri, 21 Oct 2011 23:00:49 +0200

wicd (1.7.0+ds1-7) unstable; urgency=low

  * Standards-Version bump to 3.9.2, no changes needed
  * Updated debian/copyright to match latest DEP-5
  * Implement a -t/--tray switch to only run the wicd tray icon
    (36-implement_tray-only.patch) (Closes: #583684)
  * Replace "cli" with "console" (to avoid the usage of "CLI", which is used
    by Mono applications) in wicd-cli's short description
    (Closes: #617328)
  * Add Danish debconf translation, thanks to Joe Dalton
    (Closes: #621364)
  * Add Serbian debconf translation, thanks to Zlatan Todoric
    (Closes: #635079, #635080)
  * 34-dont_save_useless_config.patch: drop useless has_profile=False
    sections and more (Closes: #629364)
  * Work-around adding non-existing users to debconf (Closes: #634051)
  * Fix suspend scripts, they had old paths (37-fix_suspend_scripts.patch)
    (Closes: #635444)
  * Fix search for libc in wicd/misc.py (38-fix_libc_ctype_linking.patch)
    (Closes: #636941)
  * 39-fix_channel_digit_parsing.patch: support channels with more than
    2 digits (Closes: #640075)
  * 40-checkbox_passwords.patch: add a checkbox to show/hide passwords
    (Closes: #573096) (LP: #476982)
  * 41-add_new_templates.patch: new encryption templates (Closes: #641531)
  * 42-support_new_urwid.patch: support urwid 1.0.0 (Closes: #645681)

 -- David Paleino <dapal@debian.org>  Mon, 17 Oct 2011 22:18:06 +0200

wicd (1.7.0+ds1-6) unstable; urgency=low

  * debian/patches/:
    - 26-support_etc-network_scripts.patch refreshed, /etc/network/
      scripts should now be properly supported (Closes: #579497)
    - 31-dont_crash_on_notification_exceptions.patch added
      (Closes: #569755, #587303)
    - 32-prefer_gksu.patch added (Closes: #575403)
    - 33-deepcopy_python27_fixes.patch backported from Ubuntu,
      thanks to Matthieu Baerts (LP: #602825)
    - 34-dont_save_useless_config.patch added: don't save link quality,
      signal strength and bitrates in the configuration files.
      (Closes: #612918)
    - 35-restrict_netmode_characters.patch added, don't crash
      if the network mode is not what we expect. Thanks to Julien
      Blache for the patch (Closes: #550957)
  * debian/control:
    - removed depedency on python-iniparse from wicd-daemon
    - removed Build-Depends on quilt
    - fixed typo in long description, thanks to Martin Eberhard Schauer
      (Closes: #611567)
    - bump Standards-Version to 3.9.1, no changes needed
    - use Breaks+Replaces instead of Conflicts+Replaces
  * debian/rules:
    - don't use "--with quilt" anymore
  * debian/po/pt_BR.po added: debconf translation for Brazilian
    Portuguese, thanks to Adriano Rafael Gomes (Closes: #594266)
  * debian/wicd-daemon.config: don't ask if all users are already
    in the netdev group (Closes: #588078)
  * debian/wicd-cli.8: explain -w/--save and -m/--name (Closes: #583586)
  * debian/wicd-daemon.wicd.init, export $PATH, makes the daemon work
    in a clean environment. Thanks to Peter Palfrader (Closes: #604810)
  * debian/wicd-curses.postrm: redirect stderr (Closes: #605338)

 -- David Paleino <dapal@debian.org>  Sat, 12 Feb 2011 00:16:58 +0100

wicd (1.7.0+ds1-5) unstable; urgency=medium

  * debian/patches/series:
    - 26-support_etc-network_scripts.patch disabled, needs more proper
      support (reopen #579497)

 -- David Paleino <dapal@debian.org>  Sat, 29 May 2010 09:17:32 +0200

wicd (1.7.0+ds1-4) unstable; urgency=high

  * Urgency high because of RC #582980
  * debian/patches:
    - 25-use_dhcpcd_also_in_Debian.patch refreshed, to make it work
      again with dhcpcd. Thanks to Brad Jorsch (Closes: #582980)
    - 30-make_connection_info_selectable.patch added (Closes: #571579)

 -- David Paleino <dapal@debian.org>  Tue, 25 May 2010 19:20:33 +0200

wicd (1.7.0+ds1-3) unstable; urgency=low

  * debian/control:
    - fixed package descriptions (Closes: #574152)
  * debian/patches/:
    - 23-fix_script_macro_expansion.patch ported from upstream,
      fixes bug in script macro expansion.
    - 24-wait_for_DHCP_client.patch added, waits for DHCP's client
      process to end, avoiding zombie processes. Thanks to Marin
      Ivanov for the patch! (Closes: #537195)
    - 25-use_dhcpcd_also_in_Debian.patch added: upstream changed
      the client from dhcpcd to dhcpcd-bin. This patch reverts it,
      so that defaults in /etc/default/dhcpcd are still observed.
      (Closes: #578014)
    - 26-support_etc-network_scripts.patch added, support /etc/network/
      hierarchy for connection scripts (Closes: #579497)
    - 27-fix_resolv.conf_perms.patch added, make sure dhclient.conf has
      0644 permissions (Closes: #582798)
    - 28-announce_dhclient.conf.template.patch added, describe
      /etc/wicd/dhclient.conf.template in wicd(8) (Closes: #582817)
    - 29-document_variables_passed_to_scripts.patch added (Closes: #570891)
  * debian/NEWS.Debian updated to announce /etc/wicd/dhclient.conf.template

 -- David Paleino <dapal@debian.org>  Mon, 24 May 2010 18:11:17 +0200

wicd (1.7.0+ds1-2) unstable; urgency=low

  * Fix RC bug: daemon doesn't start anymore because copy.deepcopy()
    fails with the iniparse object, coming from 20-use_iniparse.patch.
    Bug 568326 reopened. (Closes: #572599)

 -- David Paleino <dapal@debian.org>  Fri, 05 Mar 2010 18:12:51 +0100

wicd (1.7.0+ds1-1) unstable; urgency=low

  * New repacked tarball, contains translations .po files
    (Closes: #572352)
  * debian/bug-control added, let's add more info to the bugreports!
  * debian/control:
    - debhelper dependency bumped to >= 7.2.3~, to use dh_bugfiles


=== debian/control ===
Source: wicd
Section: net
Priority: optional
Maintainer: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 7.2.3~)
 , python (>= 2.6.6-3~)
Build-Depends-Indep:
 po-debconf
Standards-Version: 3.9.2
Homepage: http://wicd.sourceforge.net/
Vcs-Browser: http://git.debian.org/?p=collab-maint/wicd.git
Vcs-Git: git://git.debian.org/collab-maint/wicd.git

Package: wicd
Architecture: all
Depends: ${misc:Depends}
 , wicd-daemon (= ${source:Version})
 , wicd-gtk (= ${source:Version}) | wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-client
Description: wired and wireless network manager - metapackage
 Wicd is a general-purpose network configuration server which aims
 to provide a simple but flexible interface for connecting to networks.
 Its features include:
  * wide variety of settings;
  * ability to connect to (and maintain profiles for) both wired and
    wireless networks;
  * support for many encryption schemes, including WEP, WPA, WPA2 and
    custom schemes;
  * wireless-tools compatibility;
  * tray icon showing network activity and signal strength;
  * lack of GNOME dependencies (although it does require GTK+), making it
    easy to use in Xfce, Fluxbox, Openbox, Enlightenment, etc.
 .
 This is a metapackage, it allows installation of all the components of
 Wicd, including one of the clients, which must be manually chosen.

Package: wicd-daemon
Architecture: all
Depends:
 ${misc:Depends}
 , ${python:Depends}
 , python-dbus
 , python-gobject
# , python-iniparse
 , dbus
 , wpasupplicant
 , wireless-tools
 , dhcpcd | dhcp3-client | pump | udhcpc
 , net-tools | ethtool
 , net-tools | iproute
 , adduser
 , lsb-base (>= 3.2-13)
 , psmisc
 , iputils-ping | inetutils-ping
 , python-wicd (= ${source:Version})
Recommends: wicd-gtk (= ${source:Version}) | wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-client
Suggests: pm-utils
Breaks: wicd (<= 1.6.2.2-4)
Replaces: wicd (<= 1.6.2.2-4)
Description: wired and wireless network manager - daemon
 Wicd is a general-purpose network configuration server which aims
 to provide a simple but flexible interface for connecting to networks.
 Its features include:
  * wide variety of settings;
  * ability to connect to (and maintain profiles for) both wired and
    wireless networks;
  * support for many encryption schemes, including WEP, WPA, WPA2 and
    custom schemes;
  * wireless-tools compatibility.
 .
 This package contains the daemon needed to run Wicd.

Package: wicd-gtk
Architecture: all
Depends:
 ${misc:Depends}
 , ${python:Depends}
 , python-gtk2
 , python-glade2
 , wicd-daemon (= ${source:Version})
Recommends:
 gksu | kdesu | ktsuss | sudo
 , python-notify
Provides: wicd-client
Breaks: wicd (<= 1.6.2.2-4)
Replaces: wicd (<= 1.6.2.2-4)
Description: wired and wireless network manager - GTK+ client
 Wicd is a general-purpose network configuration server which aims
 to provide a simple but flexible interface for connecting to networks.
 Its features include:
  * wide variety of settings;
  * ability to connect to (and maintain profiles for) both wired and
    wireless networks;
  * support for many encryption schemes, including WEP, WPA, WPA2 and
    custom schemes;
  * wireless-tools compatibility.
 .
 This package provides the GTK+ client, which has no GNOME dependencies,
 making it easy to use in Xfce, Fluxbox, Openbox, Enlightenment, ...
 It also supports a tray icon showing network activity and signal
 strength.

Package: wicd-curses
Architecture: all
Depends:
 ${misc:Depends}
 , ${python:Depends}
 , python-urwid
 , wicd-daemon (= ${source:Version})
Recommends: sudo
Provides: wicd-client
Breaks: wicd (<= 1.6.2.2-4)
Replaces: wicd (<= 1.6.2.2-4)
Description: wired and wireless network manager - Curses client
 Wicd is a general-purpose network configuration server which aims
 to provide a simple but flexible interface for connecting to networks.
 Its features include:
  * wide variety of settings;
  * ability to connect to (and maintain profiles for) both wired and
    wireless networks;
  * support for many encryption schemes, including WEP, WPA, WPA2 and
    custom schemes;
  * wireless-tools compatibility.
 .
 This package provides the Curses/Urwid client, which is the client
 of choice in environments without X server.

Package: wicd-cli
Architecture: all
Depends:
 ${misc:Depends}
 , ${python:Depends}
 , wicd-daemon (= ${source:Version})
Recommends: sudo
Provides: wicd-client
Breaks: wicd (<< 1.7.0~a3)
Replaces: wicd (<< 1.7.0~a3)
Description: wired and wireless network manager - scriptable console client
 Wicd is a general-purpose network configuration server which aims
 to provide a simple but flexible interface for connecting to networks.
 Its features include:
  * wide variety of settings;
  * ability to connect to (and maintain profiles for) both wired and
    wireless networks;
  * support for many encryption schemes, including WEP, WPA, WPA2 and
    custom schemes;
  * wireless-tools compatibility.
 .
 This package provides a scriptable console client.

Package: python-wicd
Architecture: all
Section: python
Depends:
 ${misc:Depends}
 , ${python:Depends}
Breaks: wicd (<< 1.7.0~a3)
Replaces: wicd (<< 1.7.0~a3)
Description: wired and wireless network manager - Python module
 Wicd is a general-purpose network configuration server which aims
 to provide a simple but flexible interface for connecting to networks.
 Its features include:
  * wide variety of settings;
  * ability to connect to (and maintain profiles for) both wired and
    wireless networks;
  * support for many encryption schemes, including WEP, WPA, WPA2 and
    custom schemes;
  * wireless-tools compatibility.
 .
 This package provides the Python module used by Wicd.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CURVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | sed -e "s/\(\+.*\)\|\(\-.*\)//")

override_dh_auto_configure:
	python setup.py configure \
		--no-install-acpi \
		--no-install-docs \
		--lib=/usr/share/wicd \
		--share=/usr/share/wicd \
		--wicdgroup=netdev \
		--loggroup=adm \
		--logperms=0640

override_dh_auto_clean:
	dh_auto_clean
	-find . \( -name "*.pyc" -o -name "*.pyo" \) -delete
	-find init/ \( -name "wicd" -o -name "rc.wicd" \) -delete
	-rm -rf build/

	dh_clean wpath.py install.log os wicd/wpath.py \
		man/*.8 man/*.5 scripts/* other/*.sh \
		other/postinst other/55wicd debian/wicd-po/*.mo \
		other/91wicd other/wicd.conf other/WHEREAREMYFILES

	# recreate directories needed during the compilation
	-for i in arch debian default gentoo lunar pld redhat slackware suse; do \
		mkdir -p $(CURDIR)/init/$$i ; \
	done

override_dh_auto_install:
	python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb
	
	find $(CURDIR)/debian/tmp -name "*.png" -exec chmod 644 {} \;
	find $(CURDIR)/debian/tmp/etc/wicd/ -type f -exec chmod 644 {} \;
	find $(CURDIR)/debian/tmp \( -name "*.glade" -o -name "*.conf" -o -name "*.desktop" \) -exec chmod 644 {} \;
	
	find $(CURDIR)/debian/tmp/ -name ".empty_on_purpose" -delete

	-rm -rf $(CURDIR)/debian/tmp/var/run

override_dh_installinit:
	dh_python2 -i
	dh_installinit -i --name=wicd --restart-after-upgrade

override_dh_bugfiles:
	dh_bugfiles -A

override_dh_python2:
	dh_python2
	dh_python2 -p wicd-curses /usr/share/wicd/curses
	dh_python2 -p wicd-daemon /usr/share/wicd/daemon
	dh_python2 -p wicd-gtk /usr/share/wicd/gtk

%:
	dh $@ \
		--with python2

get-orig-source:
	uscan --force-download --download-version $(CURVER) --destdir . --rename
	tar xvf wicd_$(CURVER).orig.tar.bz2
	( cd wicd-$(CURVER)/ ; \
	patch -p1 < ../debian/patches/xx-get_translations.patch ; \
	python setup.py get_translations ; \
	rm -rf vcsinfo.pyc )
	tar jcf wicd_$(CURVER)+ds1.orig.tar.bz2 wicd-$(CURVER)/
	rm -rf wicd_$(CURVER).orig.tar.bz2 wicd-$(CURVER)/

## wicd 1.7.1~b3

=== debian/changelog ===
wicd (1.7.1~b3-4) unstable; urgency=low

  * Fix translations even more (Closes: #655994)
  * Hopefully fixed bug with ESSIDs containing '\x00' (Closes: #655159)
  * Mask out sensitive info in logfiles (Closes: #652417)

 -- David Paleino <dapal@debian.org>  Sat, 21 Jan 2012 11:24:53 +0100

wicd (1.7.1~b3-3) unstable; urgency=low

  * More backports from upstream:
    - fix various translation bugs (Closes: #651804)
    - fix check for configfile existence (Closes: #651933)
    - fix various issues with unicode (Closes: #588444, #612981)

 -- David Paleino <dapal@debian.org>  Fri, 16 Dec 2011 12:33:29 +0100

wicd (1.7.1~b3-2) unstable; urgency=low

  * Don't wipe out configuration files (03-fix_configmanager_bug.patch)
  * Backported upstream fixes (04-backport_upstream_fixes.patch)
    - Fixed mismatch between DBus API and code (Closes: #651412)
    - Fixed typo -- dict being used with ()

 -- David Paleino <dapal@debian.org>  Sun, 11 Dec 2011 20:50:33 +0100

wicd (1.7.1~b3-1) unstable; urgency=low

  * New upstream beta release
    - useless patches removed, most of them merged upstream.
      Remaining ones:
      + 01-remove_unused_icons.patch
      + 26-support_etc-network_scripts.patch
      + 32-prefer_gksu.patch
    - documented wicd-gtk's -t option (Closes: #648757)
    - keep configuration files sorted (Closes: #568326)
    - show correct ESSID in status bar (Closes: #535507, #647503)
    - show correct ESSID when rescanning networks (Closes: #552254)
    - redesigned l10n system (Closes: #572375)
  * Added Dutch Debconf translation, thanks to Jeroen Schot
    (Closes: #643640)
  * Drop kdesu, ktsuss and sudo from wicd-gtk's Recommends.
  * Make wicd-daemon Pre-Depend on debconf (>= 1.5.34) to correctly
    handle sr@latin translation (Closes: #647626)
  * Removed get-orig-source target from debian/rules, no more needed
  * Compile translations at build-time in debian/rules, using
    setup.py's machinery
  * Clean files after build using debian/clean
  * Workaround dhclient's bug trying to set a different hostname
    (see #609851)

 -- David Paleino <dapal@debian.org>  Tue, 06 Dec 2011 22:05:11 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CURVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | sed -e "s/\(\+.*\)\|\(\-.*\)//")

override_dh_auto_configure:
	python setup.py configure \
		--no-install-acpi \
		--no-install-docs \
		--lib=/usr/share/wicd \
		--share=/usr/share/wicd \
		--wicdgroup=netdev \
		--loggroup=adm \
		--logperms=0640

override_dh_auto_build:
	dh_auto_build
	python setup.py compile_translations

	# pybabel currently doesn't support Asturian
	msgfmt po/ast.po -o translations/ast/LC_MESSAGES/wicd.mo

override_dh_auto_clean:
	dh_auto_clean
	-find . \( -name "*.pyc" -o -name "*.pyo" \) -delete
	-rm -rf build/ init/ scripts/ translations/

override_dh_auto_install:
	python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

	find $(CURDIR)/debian/tmp -name "*.png" -exec chmod 644 {} \;
	find $(CURDIR)/debian/tmp/etc/wicd/ -type f -exec chmod 644 {} \;
	find $(CURDIR)/debian/tmp \( -name "*.glade" -o -name "*.conf" -o -name "*.desktop" \) -exec chmod 644 {} \;

	find $(CURDIR)/debian/tmp/ -name ".empty_on_purpose" -delete

	-rm -rf $(CURDIR)/debian/tmp/var/run

override_dh_installinit:
	dh_python2 -i
	dh_installinit -i --name=wicd --restart-after-upgrade

override_dh_bugfiles:
	dh_bugfiles -A

override_dh_python2:
	dh_python2
	dh_python2 -p wicd-curses /usr/share/wicd/curses
	dh_python2 -p wicd-daemon /usr/share/wicd/daemon
	dh_python2 -p wicd-gtk /usr/share/wicd/gtk

%:
	dh $@ \
		--with python2

## wicd 1.7.2.3

=== debian/changelog ===
wicd (1.7.2.3-1ubuntu0.1) precise-security; urgency=low

  * SECURITY UPDATE: local privilege escalation (LP: #979221)
    - debian/patches/33-fix_local_privilege_escalation.patch: sanitize
      config properties. Thanks to David Paleino <dapal@debian.org>
    - CVE-2012-2095

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 30 Apr 2012 22:22:03 +0200

wicd (1.7.2.3-1) unstable; urgency=high

  * New upstram version
    - fix bug with wicd-curses and UTF-8 locales (Closes: #669602)

 -- David Paleino <dapal@debian.org>  Sun, 22 Apr 2012 18:42:19 +0200

wicd (1.7.2.2-1) unstable; urgency=high

  * New upstream version
    - fix bug with encryption templates (Closes: #669388)

 -- David Paleino <dapal@debian.org>  Thu, 19 Apr 2012 22:47:05 +0200

wicd (1.7.2.1-1) unstable; urgency=low

  * New upstream version
    - fix crash with wicd-curses (Closes: #668520)

 -- David Paleino <dapal@debian.org>  Thu, 12 Apr 2012 22:08:37 +0200

wicd (1.7.2-1) unstable; urgency=low

  * New upstream version
    - fixed local privilege escalation, CVE-2012-2095 (Closes: #668397)
  * Added Indonesian debconf translation, thanks to Mahyuddin
    Susanto (Closes: #658785)
  * Fixed debian/watch to look packages from launchpad
  * Bump Standards-Version to 3.9.3, no changes needed
  * Updated debian/copyright

 -- David Paleino <dapal@debian.org>  Thu, 12 Apr 2012 00:03:06 +0200

wicd (1.7.1-1) unstable; urgency=low

  * New upstream release
  * Patches refreshed to match 1.7.1's code

 -- David Paleino <dapal@debian.org>  Thu, 02 Feb 2012 20:36:02 +0100

wicd (1.7.1~b3-5) unstable; urgency=low

  * Finally, really fix the issue with ESSIDs containing \x00
    (Closes: #655159)

 -- David Paleino <dapal@debian.org>  Tue, 31 Jan 2012 18:35:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: wicd
 Section: net
 Priority: optional
-Maintainer: David Paleino <dapal@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Paleino <dapal@debian.org>
 Build-Depends:
  debhelper (>= 7.2.3~)
  , python (>= 2.6.6-3~)
 Build-Depends-Indep:
  po-debconf
-Standards-Version: 3.9.2
+ , python-babel
+ , gettext
+Standards-Version: 3.9.3
 Homepage: http://wicd.sourceforge.net/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/wicd.git
 Vcs-Git: git://git.debian.org/collab-maint/wicd.git
@@ -53,6 +56,7 @@
  , psmisc
  , iputils-ping | inetutils-ping
  , python-wicd (= ${source:Version})
+Pre-Depends: debconf (>= 1.5.34)
 Recommends: wicd-gtk (= ${source:Version}) | wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-client
 Suggests: pm-utils
 Breaks: wicd (<= 1.6.2.2-4)
@@ -79,7 +83,7 @@
  , python-glade2
  , wicd-daemon (= ${source:Version})
 Recommends:
- gksu | kdesu | ktsuss | sudo
+ gksu
  , python-notify
 Provides: wicd-client
 Breaks: wicd (<= 1.6.2.2-4)

=== debian/watch ===
version=3
opts=uversionmangle=s/%7E/~/ \
https://launchpad.net/wicd/+download \
	https://launchpad.net/wicd/\d.\d/\d.\d.\d/\+download/wicd-(\d+.*)\.tar\.(?:gz|bz2)

## wicd 1.7.2.4

=== debian/changelog ===
wicd (1.7.2.4-4.1ubuntu1) trusty; urgency=low

  * debian/patches/34-fix-resolv.conf_backup-restore-broken-link.patch:
    allow wicd-daemon to start when /etc/resolv.conf is a broken link
    (LP: #1132529)

 -- Javier P.L. <chilicuil@ubuntu.com>  Fri, 06 Dec 2013 01:02:49 -0600

wicd (1.7.2.4-4.1) unstable; urgency=low

  * Non-maintainer upload
  * Add patch by isis agora lovecruft to fix wicd-curses run time errors
    caused by the changes of python-urwid 1.1 API (Closes: #709120)
  * Bump wicd-curses dependency on python-urwid to >= 1.1

 -- Axel Beckert <abe@debian.org>  Fri, 07 Jun 2013 18:42:23 +0200

wicd (1.7.2.4-4) unstable; urgency=low

  * Move user-adding code from debconf-config to wicd-daemon postinst
    (Closes: #692916)

 -- David Paleino <dapal@debian.org>  Sat, 10 Nov 2012 21:41:50 +0100

wicd (1.7.2.4-3) unstable; urgency=low

  * Fix debian/watch
  * Recommend rfkill in wicd-daemon (Closes: #683559)
  * Substitute dependency on dhcp3-client with isc-dhcp-client
    (Closes: #680976)
  * Fix handling of /etc/resolv.conf when it's a symlink (Closes: #691973)

 -- David Paleino <dapal@debian.org>  Fri, 02 Nov 2012 21:49:32 +0100

wicd (1.7.2.4-2) unstable; urgency=high

  * Fix comments inside /etc/default/wicd (Closes: #668327)
  * Fixed sanitation bug (urgency=high)

 -- David Paleino <dapal@debian.org>  Fri, 04 May 2012 10:22:46 +0200

wicd (1.7.2.4-1) unstable; urgency=high

  * New upstream version
    - really fix local privilege escalation, CVE-2012-2095 (Closes: #668397)
  * Fixed typo in previous changelog entry

 -- David Paleino <dapal@debian.org>  Mon, 30 Apr 2012 21:32:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: wicd
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Paleino <dapal@debian.org>
+Maintainer: David Paleino <dapal@debian.org>
 Build-Depends:
  debhelper (>= 7.2.3~)
  , python (>= 2.6.6-3~)
@@ -48,7 +47,7 @@
  , dbus
  , wpasupplicant
  , wireless-tools
- , dhcpcd | dhcp3-client | pump | udhcpc
+ , dhcpcd | isc-dhcp-client | pump | udhcpc
  , net-tools | ethtool
  , net-tools | iproute
  , adduser
@@ -58,6 +57,7 @@
  , python-wicd (= ${source:Version})
 Pre-Depends: debconf (>= 1.5.34)
 Recommends: wicd-gtk (= ${source:Version}) | wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-client
+ , rfkill
 Suggests: pm-utils
 Breaks: wicd (<= 1.6.2.2-4)
 Replaces: wicd (<= 1.6.2.2-4)
@@ -109,7 +109,7 @@
 Depends:
  ${misc:Depends}
  , ${python:Depends}
- , python-urwid
+ , python-urwid (>= 1.1)
  , wicd-daemon (= ${source:Version})
 Recommends: sudo
 Provides: wicd-client

=== debian/rules ===
--- 
+++ 
@@ -51,6 +51,7 @@
 	dh_python2 -p wicd-curses /usr/share/wicd/curses
 	dh_python2 -p wicd-daemon /usr/share/wicd/daemon
 	dh_python2 -p wicd-gtk /usr/share/wicd/gtk
+	dh_python2 -p wicd-cli /usr/share/wicd/cli
 
 %:
 	dh $@ \

## wicd 1.7.4%2Btb2

=== debian/changelog ===
wicd (1.7.4+tb2-1) unstable; urgency=low

  * QA upload

  [ toogley ]
  * cleaned up trailing spaces inside d/changelog
  * fixing lintian error "command-in-menu-file-and-desktop-file"
    https://lintian.debian.org/tags/command-in-menu-file-and-desktop-file.html

  [ Axel Beckert ]
  * Import second tarball release of new upstream release.
    + Remove 38-fix_WEP-hex_connection_template.patch (applied upstream)
    + Refresh 26-support_etc-network_scripts.patch.
  * Remove 02-workaround_dhclient_bug.patch (#609851 has been fixed in
    dhclient)

 -- Axel Beckert <abe@debian.org>  Tue, 26 Jan 2016 10:11:53 +0100

wicd (1.7.3-3) unstable; urgency=low

  * QA upload
  * Add patch from upstream bug report to fix "IndexError: list index out
    of range" in wicd-curses. (Closes: #812224)
  * Add patch to fix the parsing and writing of wep-hex configurations and
    hence fix connecting to WEP based networks. (Closes: #812427)

 -- Axel Beckert <abe@debian.org>  Sun, 24 Jan 2016 02:35:17 +0100

wicd (1.7.3-2) unstable; urgency=low

  * QA upload
  * Add new /usr/share/wicd/icons/ directory to debian/wicd-gtk.install.
    Fixes regression with missing status icons in wicd-gtk.  (Closes:
    #811364) Thanks to Reiner Herrmann for the right hint!

 -- Axel Beckert <abe@debian.org>  Mon, 18 Jan 2016 23:28:27 +0100

wicd (1.7.3-1) unstable; urgency=low

  * QA upload

  [ Andreas Henriksson ]
  * Depend on iproute2 instead of transitional package iproute

  [ Ritesh Raj Sarraf ]
  * Imported Upstream version 1.7.3 (Closes: #774894)
    - fixes "wicd-daemon: no autoconnect when GUI is open" (Closes: #582567)
  * Refresh patches and drop some patches (applied upstream)
  * Fix build failure on ast.po.
  * Disable installation of gnome-shell-extension

  [ Axel Beckert ]
  * Update Vcs-* headers.
  * Change Homepage header from SourceForge to Launchpad as wicd's
    SourceForge page is horribly out of date and refers to Launchpad.
  * Integrate 1.7.2.4-4.2 NMU + 1.7.2.4-5 QA upload and refresh
    34-newer_urwid accordingly.
  * Fix lintian warning wildcard-matches-nothing-in-dep5-copyright.
  * Add install.log to debian/clean to allow building twice in a row.
  * Remove all other/* entries from debian/clean, they seem obsolete.
  * Apply wrap-and-sort.
  * Bump debhelper compatibility to 9 as recommended.
    + Update versioned build-dependency on debhelper accordingly.
  * debian/rules:
    + Restore wicd/wpath.py in clean target to have a pristine working copy
      again after running debian/rules clean.
    + No more set the unused variable CURVER.
    + List % target first for clarity.
  * Add build-dependency on dh-python to fix dh_python2 warning.
  * wicd-*.postinst: Guard find call with check if directory exists.
    (Closes: #724031, #785671)
  * Use patch from Voidlinux to fix "ValueError: None is not in list"
    error when accessing the network properties of any wireless network in
    wicd-curses.
  * Add patch to show "Q" as key to quit the wireless network property
    view since the originally shown "Esc" doesn't work (anymore).

  [ toogley ]
  * added turkish translation for debconf template (Closes: #759884)

 -- Axel Beckert <abe@debian.org>  Sun, 17 Jan 2016 19:34:51 +0100

wicd (1.7.2.4-5) unstable; urgency=low

  * QA upload.
  * Set Maintainer field to QA Group.
  * Bump Standards-Version to 3.9.6.
  * Remove install.log in override_dh_auto_clean to fix FTBFS when building
    the package twice in a row.

 -- Emanuele Rocca <ema@debian.org>  Sat, 12 Dec 2015 23:24:05 +0100

wicd (1.7.2.4-4.2) unstable; urgency=high

  * Non-maintainer upload.
  * Support newer python-urwid (Closes: #800693)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 04 Oct 2015 10:32:42 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,15 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CURVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | sed -e "s/\(\+.*\)\|\(\-.*\)//")
+%:
+	dh $@ --with python2
 
 override_dh_auto_configure:
+	if [ -e wicd/wpath.py ]; then cp -pf wicd/wpath.py debian/; fi
 	python setup.py configure \
 		--no-install-acpi \
 		--no-install-docs \
+		--no-install-gnome-shell-extensions \
 		--lib=/usr/share/wicd \
 		--share=/usr/share/wicd \
 		--wicdgroup=netdev \
@@ -20,13 +23,11 @@
 	dh_auto_build
 	python setup.py compile_translations
 
-	# pybabel currently doesn't support Asturian
-	msgfmt po/ast.po -o translations/ast/LC_MESSAGES/wicd.mo
-
 override_dh_auto_clean:
 	dh_auto_clean
 	-find . \( -name "*.pyc" -o -name "*.pyo" \) -delete
-	-rm -rf build/ init/ scripts/ translations/
+	-rm -rf build/ init/ scripts/ translations/ install.log
+	if [ -e debian/wpath.py ]; then mv -f debian/wpath.py wicd/; fi
 
 override_dh_auto_install:
 	python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb
@@ -52,7 +53,3 @@
 	dh_python2 -p wicd-daemon /usr/share/wicd/daemon
 	dh_python2 -p wicd-gtk /usr/share/wicd/gtk
 	dh_python2 -p wicd-cli /usr/share/wicd/cli
-
-%:
-	dh $@ \
-		--with python2

## wicd 1.7.4%2Btb2-5%2B9.0trisquel1

=== debian/changelog ===
wicd (1.7.4+tb2-5+9.0trisquel1) etiona; urgency=medium

  * Disable sending hostname through dhcp by default

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 22 Jun 2019 01:03:51 +0200

wicd (1.7.4+tb2-5) unstable; urgency=medium

  * Add location of Debian derivatives patches in debian/README.source.
  * Declare compliance with Debian Policy 4.1.1.
    + Switch DEP5 copyright format URL to HTTPS.
  * Replace dependencies on "net-tools | ethtool" and "net-tools |
    iproute2" in wicd-daemon with a hard dependency on net-tools and
    suggesting ethtool and iproute2 in python-wicd. Thanks to Neels
    Hofmeyr for the bug report. (Closes: #881225)
  * Switch bugs.debian.org URLs in DEP3 headers to HTTPS and short form.

 -- Axel Beckert <abe@debian.org>  Sat, 11 Nov 2017 00:18:14 +0100

wicd (1.7.4+tb2-4) unstable; urgency=medium

  [ Axel Beckert ]
  * Drop old quilt-related contents of debian/README.source and hijack it
    for inter-distribution hints.

  [ Giap Tran ]
  * Add patch to fix wrong Galician translation (Closes: #856690,
    LP: #1689138)
  * Add Vietnamese translation.
  * Change my name to ASCII-compatible variant also in debian/changelog.

 -- Axel Beckert <abe@debian.org>  Sun, 28 May 2017 22:20:00 +0200

wicd (1.7.4+tb2-3) unstable; urgency=medium

  [ Axel Beckert ]
  * Now maintained by the Debian WICD Packaging Team. (Closes: #801253)
    + Change Vcs-* URLs to …/pkg-wicd/wicd.git
    + Update Maintainers field and add Uploaders field.
  * Add NEWS.Debian entry for changes between Jessie and Stretch
    wrt. /etc/wicd/dhclient.conf.template and the possible need to update
    the file manually.
  * Update dependency on dhcpcd to dhcpcd5. (Closes: #783272) Thanks
    Konrad Zimmermann!
  * Fix typo MSCHAPv2 vs MSCHAPV2 for more pedantic wpa_supplicant 2.6.
    (LP: #1656061) Thanks to Piotr Karbowski for the upstream bug report
    and suggested fix!
  * Add WPA*-PEAP templates without domain. (Closes: #831805, #759785, LP:
    #1591489)
  * Add patch to fix documentation wrt. to which dhclient.conf wicd
    (re)generates. Also update mention path in an older NEWS.Debian item
    to avoid confusion. (Closes: #773809)

  [ Giap Tran ]
  * Remove $DAEMON_OPTIONS from reload function.

  [ John C. Peterson ]
  * wicd-gtk: Add patch to initialize state of Wifi On/Off button
    properly. (Closes: #758737, LP: #1232521)

  [ Vincent Lefevre ]
  * Add patch to fix wicd-manager-settings.conf(5) man page
    wrt. wired_connect_mode. (Closes: #557156)

 -- Axel Beckert <abe@debian.org>  Sun, 22 Jan 2017 17:16:07 +0100

wicd (1.7.4+tb2-2) unstable; urgency=low

  * QA upload

  [ Axel Beckert ]
  * Fix FTBFS if $LANG is unset (or set to something unexpected) by
    hardcoding a sane value in debian/rules. (Closes: #824596)
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Switch Vcs-Git header from git:// to https://.

  [ Giap Tran ]
  * Add default DAEMON_ARGS="--keep-connection" to /etc/default/wicd
    (Closes: #816076)

 -- Axel Beckert <abe@debian.org>  Sun, 22 May 2016 23:50:03 +0200

## wicd 1.7.4+tb2

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: wicd
 Section: net
 Priority: optional
-Maintainer: David Paleino <dapal@debian.org>
-Build-Depends:
- debhelper (>= 7.2.3~)
- , python (>= 2.6.6-3~)
-Build-Depends-Indep:
- po-debconf
- , python-babel
- , gettext
-Standards-Version: 3.9.3
-Homepage: http://wicd.sourceforge.net/
-Vcs-Browser: http://git.debian.org/?p=collab-maint/wicd.git
-Vcs-Git: git://git.debian.org/collab-maint/wicd.git
+Maintainer: Debian WICD Packaging Team <pkg-wicd-maint@lists.alioth.debian.org>
+Uploaders: Axel Beckert <abe@debian.org>,
+           Giap Tran <txgvnn@gmail.com>
+Build-Depends: debhelper (>= 9~),
+               dh-python,
+               python (>= 2.6.6-3~)
+Build-Depends-Indep: gettext,
+                     po-debconf,
+                     python-babel
+Standards-Version: 4.1.1
+Homepage: https://launchpad.net/wicd
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-wicd/wicd.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-wicd/wicd.git
 
 Package: wicd
 Architecture: all
-Depends: ${misc:Depends}
- , wicd-daemon (= ${source:Version})
- , wicd-gtk (= ${source:Version}) | wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-client
+Depends: wicd-daemon (= ${source:Version}),
+         wicd-gtk (= ${source:Version}) | wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-client,
+         ${misc:Depends}
 Description: wired and wireless network manager - metapackage
  Wicd is a general-purpose network configuration server which aims
  to provide a simple but flexible interface for connecting to networks.
@@ -38,26 +39,22 @@
 
 Package: wicd-daemon
 Architecture: all
-Depends:
- ${misc:Depends}
- , ${python:Depends}
- , python-dbus
- , python-gobject
-# , python-iniparse
- , dbus
- , wpasupplicant
- , wireless-tools
- , dhcpcd | isc-dhcp-client | pump | udhcpc
- , net-tools | ethtool
- , net-tools | iproute
- , adduser
- , lsb-base (>= 3.2-13)
- , psmisc
- , iputils-ping | inetutils-ping
- , python-wicd (= ${source:Version})
+Depends: adduser,
+         dbus,
+         dhcpcd5 | isc-dhcp-client | pump | udhcpc,
+         iputils-ping | inetutils-ping,
+         lsb-base (>= 3.2-13),
+         psmisc,
+         python-dbus,
+         python-gobject,
+         python-wicd (= ${source:Version}),
+         wireless-tools,
+         wpasupplicant,
+         ${misc:Depends},
+         ${python:Depends}
 Pre-Depends: debconf (>= 1.5.34)
-Recommends: wicd-gtk (= ${source:Version}) | wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-client
- , rfkill
+Recommends: rfkill,
+            wicd-gtk (= ${source:Version}) | wicd-curses (= ${source:Version}) | wicd-cli (= ${source:Version}) | wicd-client
 Suggests: pm-utils
 Breaks: wicd (<= 1.6.2.2-4)
 Replaces: wicd (<= 1.6.2.2-4)
@@ -76,15 +73,13 @@
 
 Package: wicd-gtk
 Architecture: all
-Depends:
- ${misc:Depends}
- , ${python:Depends}
- , python-gtk2
- , python-glade2
- , wicd-daemon (= ${source:Version})
-Recommends:
- gksu
- , python-notify
+Depends: python-glade2,
+         python-gtk2,
+         wicd-daemon (= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends}
+Recommends: gksu,
+            python-notify
 Provides: wicd-client
 Breaks: wicd (<= 1.6.2.2-4)
 Replaces: wicd (<= 1.6.2.2-4)
@@ -106,11 +101,10 @@
 
 Package: wicd-curses
 Architecture: all
-Depends:
- ${misc:Depends}
- , ${python:Depends}
- , python-urwid (>= 1.1)
- , wicd-daemon (= ${source:Version})
+Depends: python-urwid (>= 1.1),
+         wicd-daemon (= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends}
 Recommends: sudo
 Provides: wicd-client
 Breaks: wicd (<= 1.6.2.2-4)
@@ -131,10 +125,9 @@
 
 Package: wicd-cli
 Architecture: all
-Depends:
- ${misc:Depends}
- , ${python:Depends}
- , wicd-daemon (= ${source:Version})
+Depends: wicd-daemon (= ${source:Version}),
+         ${misc:Depends},
+         ${python:Depends}
 Recommends: sudo
 Provides: wicd-client
 Breaks: wicd (<< 1.7.0~a3)
@@ -155,9 +148,11 @@
 Package: python-wicd
 Architecture: all
 Section: python
-Depends:
- ${misc:Depends}
- , ${python:Depends}
+Depends: ${misc:Depends},
+         ${python:Depends},
+         net-tools
+Suggests: ethtool,
+          iproute2
 Breaks: wicd (<< 1.7.0~a3)
 Replaces: wicd (<< 1.7.0~a3)
 Description: wired and wireless network manager - Python module

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# FTBFS if $LANG is unset
+export LANG=C
 
 %:
 	dh $@ --with python2

=== debian/watch ===
version=3
opts=uversionmangle=s/%7E/~/ \
https://launchpad.net/wicd/+download \
	https://launchpad.net/wicd/\d.\d/\d+.*/\+download/wicd-(\d+.*)\.tar\.(?:gz|bz2)
